Opened 19 months ago

Closed 7 weeks ago

#6472 closed change (rejected)

Allow downloading/using different version of the browser for the test

Reported by: hfiguiere Assignee:
Priority: Unknown Milestone:
Module: Core Keywords: closed-in-favor-of-gitlab
Cc: Blocked By: #6391
Blocking: Platform: Unknown / Cross platform
Ready: no Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

Description

Background

We need to be able to test the core with more than just one version of the browsers.

Issue #6391 will take care of having Firefox.

But here we should be able to select which version(s) if the browsers.

What to change

  • Allow specifying which versions at runtime. Using the env variable BROWSER_TEST_RUNNERS with the syntax browser/version could be an option
  • Implement the downloader to fetch the right versions.

Change History (2)

comment:1 Changed 19 months ago by hfiguiere

  • Blocked By 6391 added

comment:2 Changed 7 weeks ago by sebastian

  • Keywords closed-in-favor-of-gitlab added
  • Resolution set to rejected
  • Status changed from new to closed

Sorry, but we switched to GitLab. If this issue is still relevant, please file it again in the new issue tracker.

Note: See TracTickets for help on using tickets.